/*
 * Generated by asn1c-0.9.29 (http://lionet.info/asn1c)
 * From ASN.1 module "CAM-PDU-Descriptions"
 * 	found in "CAM.asn"
 * 	`asn1c -fcompound-names -gen-PER`
 */

#ifndef	_EmergencyContainer_H_
#define	_EmergencyContainer_H_


#include <asn_application.h>

/* Including external dependencies */
#include "LightBarSirenInUse.h"
#include "EmergencyPriority.h"
#include <constr_SEQUENCE.h>

#ifdef __cplusplus
extern "C" {
#endif

/* Forward declarations */
struct CauseCode;

/* EmergencyContainer */
typedef struct EmergencyContainer {
	LightBarSirenInUse_t	 lightBarSirenInUse;
	struct CauseCode	*incidentIndication	/* OPTIONAL */;
	EmergencyPriority_t	*emergencyPriority	/* OPTIONAL */;
	
	/* Context for parsing across buffer boundaries */
	asn_struct_ctx_t _asn_ctx;
} EmergencyContainer_t;

/* Implementation */
extern asn_TYPE_descriptor_t asn_DEF_EmergencyContainer;

#ifdef __cplusplus
}
#endif

/* Referred external types */
#include "CauseCode.h"

#endif	/* _EmergencyContainer_H_ */
#include <asn_internal.h>
